"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var base_directive_1 = require("./base.directive");
var directive_1 = require("../decorators/directive");
var angular_service_1 = require("../services/angular.service");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var BackgroundImageDirective = /** @class */ (function (_super) {
    tslib_1.__extends(BackgroundImageDirective, _super);
    function BackgroundImageDirective() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BackgroundImageDirective_1 = BackgroundImageDirective;
    BackgroundImageDirective.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        scope.$watch(function () { return instanceAttributes["backgroundImage"]; }, function (newValue) {
            if (paradigm_ui_web_shared_1.StringExtensions.isNullOrWhiteSpace(newValue))
                return;
            instanceElement.css("background-image", paradigm_ui_web_shared_1.StringExtensions.format("url({0})", newValue));
        });
    };
    BackgroundImageDirective.factory = function () {
        return new BackgroundImageDirective_1();
    };
    BackgroundImageDirective = BackgroundImageDirective_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "backgroundImage",
            restrict: "A",
            dependencies: [angular_service_1.AngularServices.interpolate]
        })
    ], BackgroundImageDirective);
    return BackgroundImageDirective;
    var BackgroundImageDirective_1;
}(base_directive_1.DirectiveBase));
exports.BackgroundImageDirective = BackgroundImageDirective;
