/// <reference types="angular" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { ServiceBase } from "./base.service";
import { ITimeoutService } from "angular";
export declare class FileManagementService extends ServiceBase {
    private timeout;
    constructor(timeout: ITimeoutService);
    read(file: File, completed: (file: File, content: string) => void, progress?: (p: number) => void, error?: (e: string) => void): void;
    download(fileName: string, content: string): void;
    open(fileName: string, content: string): void;
    getBlobUrl(fileName: string, content: string): string;
    private getBlob(fileName, content64);
    private getError(e);
    static factory(timeout: ITimeoutService): FileManagementService;
}
