"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var service_1 = require("../decorators/service");
var base_service_1 = require("./base.service");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var GeolocationService = /** @class */ (function (_super) {
    tslib_1.__extends(GeolocationService, _super);
    function GeolocationService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    GeolocationService_1 = GeolocationService;
    GeolocationService.prototype.getPosition = function (callback, onError, options) {
        if (!this.isAvailable())
            return;
        this.getGeolocator().getCurrentPosition(callback, onError, options);
    };
    GeolocationService.prototype.watchPosition = function (callback, onError, options) {
        if (!this.isAvailable())
            return -1;
        return this.getGeolocator().watchPosition(callback, onError, options);
    };
    GeolocationService.prototype.clearWatch = function (watchId) {
        if (!this.isAvailable())
            return;
        this.getGeolocator().clearWatch(watchId);
    };
    GeolocationService.prototype.isAvailable = function () {
        return !paradigm_ui_web_shared_1.ObjectExtensions.isNull(navigator.geolocation);
    };
    GeolocationService.prototype.getGeolocator = function () {
        return navigator.geolocation;
    };
    GeolocationService.factory = function () {
        return new GeolocationService_1();
    };
    GeolocationService = GeolocationService_1 = tslib_1.__decorate([
        service_1.Service({ name: "$pd-geolocationService" })
    ], GeolocationService);
    return GeolocationService;
    var GeolocationService_1;
}(base_service_1.ServiceBase));
exports.GeolocationService = GeolocationService;
