/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { ServiceBase } from "./base.service";
import { Guid } from "@miracledevs/paradigm-ui-web-shared";
export declare class MessageBus extends ServiceBase {
    private handlers;
    constructor();
    count(): number;
    isRegistered<T>(messageType: new (...args) => T): boolean;
    handlerCount<T>(messageType: new (...args) => T): number;
    register<T>(messageType: {
        new (...args): T;
    }, handler: (x: T) => void): RegistrationToken;
    unregister(token: RegistrationToken): void;
    send<T>(message: T, token?: RegistrationToken): boolean;
    static factory(): MessageBus;
}
export declare class MessageBusHandler {
    private innerToken;
    private innerHandler;
    readonly token: RegistrationToken;
    readonly handler: Function;
    constructor(type: Function, handler: Function);
}
export declare class RegistrationToken {
    private innerType;
    private innerGuid;
    readonly type: Function;
    readonly guid: Guid;
    constructor(type: Function);
}
